// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.12.4
// source: bus/notification-registration-invite.proto

package bus

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type NotificationRegistrationInvite struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Email          string `protobuf:"bytes,1,opt,name=email,proto3" json:"email,omitempty"`
	Edrpou         string `protobuf:"bytes,2,opt,name=edrpou,proto3" json:"edrpou,omitempty"`
	FirstName      string `protobuf:"bytes,3,opt,name=firstName,proto3" json:"firstName,omitempty"`
	LastName       string `protobuf:"bytes,4,opt,name=lastName,proto3" json:"lastName,omitempty"`
	PatronymicName string `protobuf:"bytes,5,opt,name=patronymicName,proto3" json:"patronymicName,omitempty"`
}

func (x *NotificationRegistrationInvite) Reset() {
	*x = NotificationRegistrationInvite{}
	if protoimpl.UnsafeEnabled {
		mi := &file_bus_notification_registration_invite_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationRegistrationInvite) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationRegistrationInvite) ProtoMessage() {}

func (x *NotificationRegistrationInvite) ProtoReflect() protoreflect.Message {
	mi := &file_bus_notification_registration_invite_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationRegistrationInvite.ProtoReflect.Descriptor instead.
func (*NotificationRegistrationInvite) Descriptor() ([]byte, []int) {
	return file_bus_notification_registration_invite_proto_rawDescGZIP(), []int{0}
}

func (x *NotificationRegistrationInvite) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

func (x *NotificationRegistrationInvite) GetEdrpou() string {
	if x != nil {
		return x.Edrpou
	}
	return ""
}

func (x *NotificationRegistrationInvite) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *NotificationRegistrationInvite) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *NotificationRegistrationInvite) GetPatronymicName() string {
	if x != nil {
		return x.PatronymicName
	}
	return ""
}

var File_bus_notification_registration_invite_proto protoreflect.FileDescriptor

var file_bus_notification_registration_invite_proto_rawDesc = []byte{
	0x0a, 0x2a, 0x62, 0x75, 0x73, 0x2f, 0x6e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x2d, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2d,
	0x69, 0x6e, 0x76, 0x69, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03, 0x62, 0x75,
	0x73, 0x22, 0xb0, 0x01, 0x0a, 0x1e, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x6e,
	0x76, 0x69, 0x74, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x16, 0x0a, 0x06, 0x65, 0x64,
	0x72, 0x70, 0x6f, 0x75, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x65, 0x64, 0x72, 0x70,
	0x6f, 0x75, 0x12, 0x1c, 0x0a, 0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65,
	0x12, 0x1a, 0x0a, 0x08, 0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x26, 0x0a, 0x0e,
	0x70, 0x61, 0x74, 0x72, 0x6f, 0x6e, 0x79, 0x6d, 0x69, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x70, 0x61, 0x74, 0x72, 0x6f, 0x6e, 0x79, 0x6d, 0x69, 0x63,
	0x4e, 0x61, 0x6d, 0x65, 0x42, 0x6e, 0x0a, 0x07, 0x63, 0x6f, 0x6d, 0x2e, 0x62, 0x75, 0x73, 0x42,
	0x1e, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x67,
	0x69, 0x73, 0x74, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x6e, 0x76, 0x69, 0x74, 0x65, 0x50,
	0x01, 0x5a, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x68,
	0x61, 0x64, 0x6f, 0x77, 0x79, 0x2f, 0x73, 0x65, 0x69, 0x2f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2f,
	0x67, 0x6f, 0x2d, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2d, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x62,
	0x75, 0x73, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x03, 0x42, 0x75, 0x73, 0xca, 0x02,
	0x03, 0x42, 0x75, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_bus_notification_registration_invite_proto_rawDescOnce sync.Once
	file_bus_notification_registration_invite_proto_rawDescData = file_bus_notification_registration_invite_proto_rawDesc
)

func file_bus_notification_registration_invite_proto_rawDescGZIP() []byte {
	file_bus_notification_registration_invite_proto_rawDescOnce.Do(func() {
		file_bus_notification_registration_invite_proto_rawDescData = protoimpl.X.CompressGZIP(file_bus_notification_registration_invite_proto_rawDescData)
	})
	return file_bus_notification_registration_invite_proto_rawDescData
}

var file_bus_notification_registration_invite_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_bus_notification_registration_invite_proto_goTypes = []interface{}{
	(*NotificationRegistrationInvite)(nil), // 0: bus.NotificationRegistrationInvite
}
var file_bus_notification_registration_invite_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_bus_notification_registration_invite_proto_init() }
func file_bus_notification_registration_invite_proto_init() {
	if File_bus_notification_registration_invite_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_bus_notification_registration_invite_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationRegistrationInvite); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_bus_notification_registration_invite_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_bus_notification_registration_invite_proto_goTypes,
		DependencyIndexes: file_bus_notification_registration_invite_proto_depIdxs,
		MessageInfos:      file_bus_notification_registration_invite_proto_msgTypes,
	}.Build()
	File_bus_notification_registration_invite_proto = out.File
	file_bus_notification_registration_invite_proto_rawDesc = nil
	file_bus_notification_registration_invite_proto_goTypes = nil
	file_bus_notification_registration_invite_proto_depIdxs = nil
}
